> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Meta Profiles

> List all saved meta-profiles and the currently active one.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/meta-profiles
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/meta-profiles:
    get:
      tags:
        - Meta-profiles
      summary: List Meta Profiles
      description: List all saved meta-profiles and the currently active one.
      operationId: list_meta_profiles_api_meta_profiles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaProfileListResponse'
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    MetaProfileListResponse:
      properties:
        active_meta_profile:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Meta Profile
        meta_profiles:
          items:
            $ref: '#/components/schemas/MetaProfileInfo'
          title: Meta Profiles
          type: array
      required:
        - meta_profiles
      title: MetaProfileListResponse
      type: object
    MetaProfileInfo:
      properties:
        classifier_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Classifier Model
        name:
          title: Name
          type: string
        num_classes:
          default: 0
          title: Num Classes
          type: integer
      required:
        - name
      title: MetaProfileInfo
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.